Skip to main content
GET
/
catchAll
/
projects
/
{project_id}
/
overview
Get project overview
curl --request GET \
  --url https://catchall.newscatcherapi.com/catchAll/projects/{project_id}/overview \
  --header 'x-api-key: <api-key>'
import requests

url = "https://catchall.newscatcherapi.com/catchAll/projects/{project_id}/overview"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://catchall.newscatcherapi.com/catchAll/projects/{project_id}/overview', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "project_id": "60a85db4-78ec-4b78-876a-bc7d9cdadd04",
  "overview": {
    "jobs": {},
    "monitors": {},
    "datasets": {
      "total": 2
    },
    "monitor_groups": {
      "total": 0
    }
  }
}
{
"detail": "Invalid API key"
}
{
"detail": "Invalid API key"
}

Authorizations

x-api-key
string
header
required

API key for authentication.

Path Parameters

project_id
string<uuid>
required

Unique project identifier.

Response

Resource counts for the project, grouped by type and status.

project_id
string<uuid>
required

Project identifier.

Example:

"60a85db4-78ec-4b78-876a-bc7d9cdadd04"

overview
object
required

Resource counts grouped by type.